#include "byte_code.h"

class test_program {
public:
static void main(string_vector_type & args) {
	int arg1,arg2;
	const char * ptr;
	void * ptr1;
	void * var[2];
	int value;
L0:
	IPUSH(10)
L2:
	IPUSH(11)
L4:
	IADD()
L5:
	IPUSH(100)
L7:
	IADD()
L8:
	IPUSH(2)
L9:
	IMUL()
L10:
	IPUSH(2)
L11:
	IDIV()
L12:
	IPUSH(1)
L13:
	ISUB()
L14:
	IPUSH(50)
L16:
	IDIV()
	ISTORE(0)
	LDC("RESULT = ")
	INVOKESTATIC(IO::print,"(Ljava/lang/String;)V")
	ILOAD(0)
	INVOKESTATIC(IO::printInt,"(I)V")
L22:
	RETURN()
}

virtual void _init_() {
	int arg1,arg2;
	const char * ptr;
	void * ptr1;
	void * var[1];
	var[0] = (void*)this;
	int temp1;
L4:
	RETURN()
}

};

int
main(int argc, char ** argv)
{
   try {
      string_vector_type args;
      stack_type rt_stack;
      the_stack = &rt_stack;
      for(int i = 1; i < argc; i++)
         args.push_back(argv[i]);
      test_program::main(args);
   }
   catch(...) {
      cerr << "exception..." << endl;
      exit(1);
   }
   return 0;
}
